Viewing Issue Advanced Details Jump to Notes ] missile.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04492 Sound Minor Always Sep 21, 2011, 14:46 May 17, 2012, 20:08
Tester Zaghadka View Status Public Platform MAME (Official Binary)
Assigned To couriersud Resolution Fixed OS
Status [?] Resolved   Driver missile.cpp
Version 0.143 Fixed in Version 0.146 Build Normal
Summary 04492: missile, missile1, missile2: Imperfect sound played for UFO and bomber attack.
Description The sound of the UFO and bomber is played improperly in the main Missile Command sets. UFO and bomber sound should sound like it does in the suprmatk set, when set to play as Missile Command.
Steps To Reproduce
Additional Information A longstanding trivial sound bug, dating from at least MAME 0.100. The real Missile Command, wherever I have played it, always sounds like it does in the suprmatk set, in Missile Command mode.
Flags Verified with Original
Regression Version
Affected Sets / Systems missile, missile1, missile2
Attached Files
7z file icon missile ufo pcb.7z (809,979 bytes)  Sep 22, 2011, 18:38 by Gyrovision
mp3 file icon missile.c ufo poss MAME bug.mp3 (264,359 bytes)  Sep 25, 2011, 09:11 by Fujix
Original sound uploaded by Gyrovision
mp3 file icon missilepcb set 1.mp3 (644,075 bytes)  Sep 25, 2011, 09:12 by Fujix
Original sound uploaded by Gyrovision
mp3 file icon suprmatk_missile_command_mode_emulated.mp3 (228,940 bytes)  Sep 30, 2011, 18:29 by Zaghadka
Super Missile Attack (suprmatk.c) in "Missile Command" mode


-  Notes
User avatar
No.07793
Tafoid
(Administrator)
Sep 21, 2011, 15:10
edited on: Sep 21, 2011, 15:25
If you are asserting that sound effects or music is incorrect, we need actual source audio recordings from the game itself or PCB. There is no way to fix it if we do not know precisely how it is supposed to be from actual output, not from previous versions of MAME, other emulators or even M1 output. Note that different versions of the same game have been known to sound differently on occasion.

User avatar
No.07794
Fujix
(Administrator)
Sep 21, 2011, 15:15
Could you post something to show us how it works on your original source?
Also, we need to confirm your set is really different from any sets currently supported by MAME.

Thank you.
User avatar
No.07796
Tafoid
(Administrator)
Sep 22, 2011, 01:07
Upon testing your venture sound issue report, I also checked Missile Command and Super Missile Attack. In short, Missile Command is correct and so is Super Missile Attack. The clone, made as an enhancement to the original game, has distinctive differences from it's namesake, including altered sound.

So, you stating you are playing a normal Missile Command game with those UFO graphics and sounds that differ - you are either misremembering your Missile Command playtime or are indeed playing on the clone set, rather than the parent set. You can get some background information about it here:

http://www.arcade-history.com/?n=super-missile-attack&page=detail&id=2732

I'm very close to closing this out - but giving you an opportunity to produce tangible proof.
User avatar
No.07797
Gyrovision
(Tester)
Sep 22, 2011, 18:40
I actually reported about this a few years ago in which I recorded the ufo directly from the pcb of an upright cab I had running ROM set 1. I was new to pcb recording so the recording was too high and a bit distorted, and the old power supply in the cabinet is heard in the background, but the ufo sound difference is there. I think it was dismissed as something to do with the POKEY emulation (?)

See attached pcb recording along with a MAME recording, an unknown older MAME version recording.
User avatar
No.07809
Tafoid
(Administrator)
Sep 24, 2011, 21:18
Acknowledging there might be an issue with pokey and audio output. More investigation is needed. As far as the original OP's claim that it's supposed to sound like it does in the enhanced Super Missile Attack - that is simply not the case.
User avatar
No.07810
Zaghadka
(Tester)
Sep 25, 2011, 07:01
Tafoid, you misunderstood. It is my assertion that Super Missile Attack *only* when it is dip-switched to play in plain "Missile Command" mode, sounds much more like the original Missile Command games. The default Super Missile Attack sound, with the default switching, is enhanced, and very different, but if you set the dip-switches to play in vanilla "Missile Command" mode, you will hear the correct sound for UFO's and bombers.

Going on memory here. I don't have working hardware to confirm it with, but my memory is correct.
User avatar
No.07812
Zaghadka
(Tester)
Sep 25, 2011, 19:17
My apologies for the newbie errors. I'm getting a better idea of how these should be posted now. I did read the guidelines. I'll try to do better.
User avatar
No.07813
Zaghadka
(Tester)
Sep 30, 2011, 18:29
Okay, so there are 2 pcb reports, which demonstrate a "whoop whoop whoop" sound, while the MAME sound is an oscillating buzz.

I realize *I* should have provided those reports, but shouldn't this bug be "confirmed" at this point?

I am uploading Super Missile Attack in "Missile Command" mode. Please note the differences between this sample, the missile.c sample, and the PCB.
User avatar
No.07814
Zaghadka
(Tester)
Sep 30, 2011, 18:35
(Pardon my mistake with "suprmatk.c." No such thing. Obviously, it's all handled by the "missile.c" driver.)
User avatar
No.07815
Tafoid
(Administrator)
Sep 30, 2011, 22:34
edited on: Sep 30, 2011, 22:55
My original assessment did not include the DIP Switch changing of the game, as you mentioned. I'll confirm it, but I'm unsure how long it will take to get this fixed. Someone will be interested enough and with this information be likely to sort it out.

User avatar
No.07817
Zaghadka
(Tester)
Oct 1, 2011, 20:34
Since this is definitely "trivial" I'm not expecting it to be fixed soon. Hopefully, this info will help. Thanks.
User avatar
No.08603
couriersud
(Developer)
May 17, 2012, 20:08
edited on: May 17, 2012, 20:09
This was really not trivial. In the end, the whole Pokey sound emulation was involved.
missile1 is writing 0s during the sound to freq. register which are ignored on the real chip due to the timing of the following write (real freq.). Super Missile Command does not write those 0s.